// Aj Creations http://www.facebook.com/anjancreations
// Aeroplane ESC adapter for surface radios
// Rx signal value printing https://www.dropbox.com/s/mpiuuvuwj3q6o3g/Rx_signal_values.ino

#include <Servo.h>    // Initialise Servo library
Servo esc;            
unsigned long Rxpulse;        
void setup()
{
  pinMode (6, INPUT);    //Attach Rx signal to pin6
  esc.attach (9);    // Attach ESC signal to pin9
  
}
void loop()
{
  
  Rxpulse = pulseIn(6,HIGH);    // Measure pulse length in microseconds
  Rxpulse = constrain(Rxpulse, 1426, 1720);    // constrain signal values outside expected range
  unsigned long escPulse = map(Rxpulse, 1426, 1720, 819, 1720);    // Re-map input range to expected output range
  esc.writeMicroseconds(escPulse);    // Output signal to ESC
  const unsigned long MIN_INPUT_LENGTH = 1426;    
}
